/*
 * File name: DemoSuper.java
 * Date:      2014/11/11 19:10
 * Author:    Jan Faigl
 */
public class DemoSuper {

    class Appender {

        protected String str;

        public Appender(String s) {
            this.str = s + "\nConstructor of class A";
        }

        public void append(String s) {
            str = str + "\n Append in class A '" + s + "'";
        }

        @Override
        public String toString() {
            return str;
        }
    }

    class AppenderExtended extends Appender {

        public AppenderExtended(String s) {
            super(s);
        }

        @Override
        public void append(String s) {
            str = str + "\n Append in class B '" + s + "'";
            super.append(s);
        }
    }

    public void start() {
        AppenderExtended a = new AppenderExtended("This is B object");
        a.append("Text");
        System.out.println(a);
    }

    public static void main(String[] args) {
        DemoSuper demo = new DemoSuper();
        demo.start();
    }

}
