/*
 * File name: DemoMatrix.java
 * Date:      2014/11/04 13:38
 * Author:    Jan Faigl
 */
package cz.cvut.fel.pr1;

public class DemoMatrix {

    public Matrix compute(int n, Matrix matrix) {
        Matrix m1 = matrix.createMatrix(n, n);
        Matrix m2 = matrix.createMatrix(n, n);
        m1.fillRandom();
        m2.fillRandom();

        Matrix semiResult1 = m1.sum(m2);
        Matrix semiResult2 = m1.difference(m2);
        return semiResult1.product(semiResult2);
    }

    public void start(String[] args) {
        final int N = 1000;
        final boolean FAST_MATRIX = true;

        Matrix matrix = FAST_MATRIX ? new MatrixExtended(1, 1) : new Matrix(1, 1);

        long t1 = System.currentTimeMillis();
        Matrix results = compute(1000, matrix);
        long t2 = System.currentTimeMillis();
        System.out.printf("Time to compute is %6d ms%n", (t2 - t1));
    }

}
