package cz.cvut.fel.pr1;

import java.awt.Color;

/**
 * Represents image canvas
 */
public interface Canvas {

    /**
     * Width of the canvas. In other words the number of horizontal pixels.
     *
     * @return width of the canvas
     */
    public int getWidth();

    /**
     * Height of the canvas. In other words the number of vertical pixels.
     *
     * @return height of the canvas
     */
    public int getHeight();

    /**
     * Sets given color at given coordinates in canvas. The coordinates are in
     * range x in [0; {@link Canvas#getWidth()} - 1] and y in [0;
     * {@link Canvas#getHeight()} - 1]. This is similar to the indexing of 2D
     * array.
     *
     * @param x coordinate
     * @param y coordinate
     * @param color desired color of the pixel
     */
    public void setColorAt(int x, int y, Color color);

}
