/*
 * File name: GeomUtil.java
 * Date:      2014/11/09 20:09
 * Author:    Jan Faigl
 */
package cz.cvut.fel.pr1;

/**
 *
 * @author jf
 */
public class GeomUtil {

    private GeomUtil() {
    }

    /**
     * Compute the winding number
     *
     * @param a point forming a line
     * @param b point forming a line
     * @param c testing point for the wind number
     * @return 0 if c is on the line a-b, <0 if c is on the left of the line
     * a-b, >0 if c is on the right of the line a-b
     */
    public static int wind(Coords a, Coords b, Coords c) {
        int w = ((a.getY() - b.getY()) * (c.getX() - b.getX()) - (c.getY() - b.getY()) * (a.getX() - b.getX()));
        return w;
    }

    /**
     *
     * @param a
     * @param b
     * @param c
     * @return true if point c is in between points a and b
     */
    public static boolean inBetween(Coords a, Coords b, Coords c) {
        if (a.getX() != b.getX()) { //not vertical
            return ((a.getX() <= c.getX()) && (c.getX() <= b.getX())) || ((b.getX() <= c.getX()) && (c.getX() <= a.getX()));
        } else {
            return ((a.getY() <= c.getY()) && (c.getY() <= b.getY())) || ((b.getY() <= c.getY()) && (c.getY() <= a.getY()));
        }
    }

}
