package cz.cvut.fel.pr1;

/**
 * Container for canvas printable objects. The Printable Holder keeps order of
 * added objects and this order is respected during the print onto the canvas.
 * The oldest shapes are printed earlier.
 */
public interface ObjectHolder {

    /**
     * Adds object into container.
     *
     * @param object to be added
     * @return 
     */
    public ObjectHolder add(Printable object);

    /**
     * Prints objects onto canvas.
     *
     * @param canvas to be printed on.
     */
    public void printToCanvas(Canvas canvas);
     
}
